cordova-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bows...@apache.org
Subject android commit: CB-9479: Fixing the conditionals again, we should be more vigilant on the gradle versions.
Date Mon, 07 Dec 2015 23:03:15 GMT
Repository: cordova-android
Updated Branches:
  refs/heads/master 03777067c -> 70bc7b39b


CB-9479: Fixing the conditionals again, we should be more vigilant on the gradle versions.


Project: http://git-wip-us.apache.org/repos/asf/cordova-android/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-android/commit/70bc7b39
Tree: http://git-wip-us.apache.org/repos/asf/cordova-android/tree/70bc7b39
Diff: http://git-wip-us.apache.org/repos/asf/cordova-android/diff/70bc7b39

Branch: refs/heads/master
Commit: 70bc7b39b7658158fe78e5bcd145f1153513e959
Parents: 0377706
Author: Joe Bowser <bowserj@apache.org>
Authored: Mon Dec 7 15:03:02 2015 -0800
Committer: Joe Bowser <bowserj@apache.org>
Committed: Mon Dec 7 15:03:02 2015 -0800

----------------------------------------------------------------------
 bin/templates/project/build.gradle | 18 ++++--------------
 framework/build.gradle             |  2 +-
 2 files changed, 5 insertions(+), 15 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-android/blob/70bc7b39/bin/templates/project/build.gradle
----------------------------------------------------------------------
diff --git a/bin/templates/project/build.gradle b/bin/templates/project/build.gradle
index f9561bb..f540f69 100644
--- a/bin/templates/project/build.gradle
+++ b/bin/templates/project/build.gradle
@@ -30,20 +30,10 @@ buildscript {
     // installed version of Gradle. This dependency is documented at
     // http://tools.android.com/tech-docs/new-build-system/version-compatibility
     // and https://issues.apache.org/jira/browse/CB-8143
-    if (gradle.gradleVersion >= "2.2") {
-        dependencies {
-            classpath 'com.android.tools.build:gradle:1.0.0+'
-        }
-    } else if (gradle.gradleVersion >= "2.1") {
-        dependencies {
-            classpath 'com.android.tools.build:gradle:0.14.0+'
-        }
-    } else {
-        dependencies {
-            classpath 'com.android.tools.build:gradle:0.12.0+'
-        }
+    dependencies {
+        classpath 'com.android.tools.build:gradle:1.5.0'
     }
-}
+   }
 
 // Allow plugins to declare Maven dependencies via build-extras.gradle.
 repositories {
@@ -51,7 +41,7 @@ repositories {
 }
 
 task wrapper(type: Wrapper) {
-    gradleVersion = '2.2.1'
+    gradleVersion = '2.8'
 }
 
 // Configuration properties. Set these via environment variables, build-extras.gradle, or
gradle.properties.

http://git-wip-us.apache.org/repos/asf/cordova-android/blob/70bc7b39/framework/build.gradle
----------------------------------------------------------------------
diff --git a/framework/build.gradle b/framework/build.gradle
index e4c182e..f1c6682 100644
--- a/framework/build.gradle
+++ b/framework/build.gradle
@@ -24,7 +24,7 @@ buildscript {
     }
 
     dependencies {
-        classpath 'com.android.tools.build:gradle:1.0.0+'
+        classpath 'com.android.tools.build:gradle:1.5.0'
     }
 
 }


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@cordova.apache.org
For additional commands, e-mail: commits-help@cordova.apache.org


Mime
View raw message